pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.8.5" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#497a51a2#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#3935bd10#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#7d05e2dc#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#b42752af#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#7365a24f#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#17775d6d#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#670b85e1#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00011, "system__parametersB");
   u00012 : constant Version_32 := 16#c587ae8f#;
   pragma Export (C, u00012, "system__parametersS");
   u00013 : constant Version_32 := 16#0071025c#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#5b426daa#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#9bb0b8c0#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#0a511a2e#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#16173147#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#5a3e4e66#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#7b9f0bae#;
   pragma Export (C, u00019, "system__exception_tableB");
   u00020 : constant Version_32 := 16#e20b7eea#;
   pragma Export (C, u00020, "system__exception_tableS");
   u00021 : constant Version_32 := 16#5665ab64#;
   pragma Export (C, u00021, "system__htableB");
   u00022 : constant Version_32 := 16#f0cdec41#;
   pragma Export (C, u00022, "system__htableS");
   u00023 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00023, "system__string_hashB");
   u00024 : constant Version_32 := 16#55f97adb#;
   pragma Export (C, u00024, "system__string_hashS");
   u00025 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00025, "system__exceptions_debugB");
   u00026 : constant Version_32 := 16#4b15879b#;
   pragma Export (C, u00026, "system__exceptions_debugS");
   u00027 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00027, "system__storage_elementsB");
   u00028 : constant Version_32 := 16#89a8dfd7#;
   pragma Export (C, u00028, "system__storage_elementsS");
   u00029 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00029, "system__traceback_entriesB");
   u00030 : constant Version_32 := 16#21444c0e#;
   pragma Export (C, u00030, "system__traceback_entriesS");
   u00031 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00031, "system__stack_checkingB");
   u00032 : constant Version_32 := 16#d0c71e63#;
   pragma Export (C, u00032, "system__stack_checkingS");
   u00033 : constant Version_32 := 16#315575a3#;
   pragma Export (C, u00033, "ada__command_line__response_fileB");
   u00034 : constant Version_32 := 16#e9c10e17#;
   pragma Export (C, u00034, "ada__command_line__response_fileS");
   u00035 : constant Version_32 := 16#1b28c85f#;
   pragma Export (C, u00035, "system__os_libB");
   u00036 : constant Version_32 := 16#89dce9aa#;
   pragma Export (C, u00036, "system__os_libS");
   u00037 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00037, "system__case_utilB");
   u00038 : constant Version_32 := 16#de79c2c7#;
   pragma Export (C, u00038, "system__case_utilS");
   u00039 : constant Version_32 := 16#db232541#;
   pragma Export (C, u00039, "system__crtlS");
   u00040 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00040, "system__stringsB");
   u00041 : constant Version_32 := 16#c48fe88b#;
   pragma Export (C, u00041, "system__stringsS");
   u00042 : constant Version_32 := 16#943e47ba#;
   pragma Export (C, u00042, "aliB");
   u00043 : constant Version_32 := 16#87dbbf3e#;
   pragma Export (C, u00043, "aliS");
   u00044 : constant Version_32 := 16#bc9e551a#;
   pragma Export (C, u00044, "butilB");
   u00045 : constant Version_32 := 16#0e67e1ce#;
   pragma Export (C, u00045, "butilS");
   u00046 : constant Version_32 := 16#f642d2fd#;
   pragma Export (C, u00046, "outputB");
   u00047 : constant Version_32 := 16#73423236#;
   pragma Export (C, u00047, "outputS");
   u00048 : constant Version_32 := 16#625b3b3d#;
   pragma Export (C, u00048, "hostparmS");
   u00049 : constant Version_32 := 16#dd51ae8f#;
   pragma Export (C, u00049, "typesB");
   u00050 : constant Version_32 := 16#3b30fcae#;
   pragma Export (C, u00050, "typesS");
   u00051 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00051, "system__compare_array_unsigned_8B");
   u00052 : constant Version_32 := 16#a95e5482#;
   pragma Export (C, u00052, "system__compare_array_unsigned_8S");
   u00053 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00053, "system__address_operationsB");
   u00054 : constant Version_32 := 16#b31b4bd8#;
   pragma Export (C, u00054, "system__address_operationsS");
   u00055 : constant Version_32 := 16#1984fe39#;
   pragma Export (C, u00055, "system__unsigned_typesS");
   u00056 : constant Version_32 := 16#0ee251e8#;
   pragma Export (C, u00056, "targparmB");
   u00057 : constant Version_32 := 16#151ee6b6#;
   pragma Export (C, u00057, "targparmS");
   u00058 : constant Version_32 := 16#5b983ac2#;
   pragma Export (C, u00058, "csetsB");
   u00059 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00059, "csetsS");
   u00060 : constant Version_32 := 16#4072288b#;
   pragma Export (C, u00060, "optB");
   u00061 : constant Version_32 := 16#033484b5#;
   pragma Export (C, u00061, "optS");
   u00062 : constant Version_32 := 16#d71be89e#;
   pragma Export (C, u00062, "gnatvsnB");
   u00063 : constant Version_32 := 16#249b6539#;
   pragma Export (C, u00063, "gnatvsnS");
   u00064 : constant Version_32 := 16#b773da47#;
   pragma Export (C, u00064, "tree_ioB");
   u00065 : constant Version_32 := 16#2f05d454#;
   pragma Export (C, u00065, "tree_ioS");
   u00066 : constant Version_32 := 16#f7c84cf8#;
   pragma Export (C, u00066, "debugB");
   u00067 : constant Version_32 := 16#3ea59655#;
   pragma Export (C, u00067, "debugS");
   u00068 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00068, "system__wch_conB");
   u00069 : constant Version_32 := 16#cc8e8c72#;
   pragma Export (C, u00069, "system__wch_conS");
   u00070 : constant Version_32 := 16#ba22ce7e#;
   pragma Export (C, u00070, "osintB");
   u00071 : constant Version_32 := 16#f9dbbd0a#;
   pragma Export (C, u00071, "osintS");
   u00072 : constant Version_32 := 16#daf1344a#;
   pragma Export (C, u00072, "allocS");
   u00073 : constant Version_32 := 16#88266b84#;
   pragma Export (C, u00073, "fmapB");
   u00074 : constant Version_32 := 16#c0bda71e#;
   pragma Export (C, u00074, "fmapS");
   u00075 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00075, "gnatS");
   u00076 : constant Version_32 := 16#a0ae1a73#;
   pragma Export (C, u00076, "gnat__htableB");
   u00077 : constant Version_32 := 16#430435e5#;
   pragma Export (C, u00077, "gnat__htableS");
   u00078 : constant Version_32 := 16#0a1a78ab#;
   pragma Export (C, u00078, "tableB");
   u00079 : constant Version_32 := 16#40963a4b#;
   pragma Export (C, u00079, "tableS");
   u00080 : constant Version_32 := 16#7877a2f4#;
   pragma Export (C, u00080, "system__memoryB");
   u00081 : constant Version_32 := 16#b9ee1e5a#;
   pragma Export (C, u00081, "system__memoryS");
   u00082 : constant Version_32 := 16#411b14a1#;
   pragma Export (C, u00082, "nametB");
   u00083 : constant Version_32 := 16#c73efa78#;
   pragma Export (C, u00083, "nametS");
   u00084 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00084, "interfacesS");
   u00085 : constant Version_32 := 16#8805120e#;
   pragma Export (C, u00085, "widecharB");
   u00086 : constant Version_32 := 16#9ce9e066#;
   pragma Export (C, u00086, "widecharS");
   u00087 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00087, "system__wch_cnvB");
   u00088 : constant Version_32 := 16#d2700aa4#;
   pragma Export (C, u00088, "system__wch_cnvS");
   u00089 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00089, "system__wch_jisB");
   u00090 : constant Version_32 := 16#860291b0#;
   pragma Export (C, u00090, "system__wch_jisS");
   u00091 : constant Version_32 := 16#2fd3f6f9#;
   pragma Export (C, u00091, "sdefaultB");
   u00092 : constant Version_32 := 16#db5c1966#;
   pragma Export (C, u00092, "sdefaultS");
   u00093 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00093, "system__img_enum_newB");
   u00094 : constant Version_32 := 16#f46269bf#;
   pragma Export (C, u00094, "system__img_enum_newS");
   u00095 : constant Version_32 := 16#81a1ad6e#;
   pragma Export (C, u00095, "ridentS");
   u00096 : constant Version_32 := 16#b9f26d00#;
   pragma Export (C, u00096, "fnameB");
   u00097 : constant Version_32 := 16#7e6769ea#;
   pragma Export (C, u00097, "fnameS");
   u00098 : constant Version_32 := 16#61b9a0a4#;
   pragma Export (C, u00098, "casingB");
   u00099 : constant Version_32 := 16#ff15a73c#;
   pragma Export (C, u00099, "casingS");
   u00100 : constant Version_32 := 16#2adf049f#;
   pragma Export (C, u00100, "ali__utilB");
   u00101 : constant Version_32 := 16#1b7c2d49#;
   pragma Export (C, u00101, "ali__utilS");
   u00102 : constant Version_32 := 16#c9696cba#;
   pragma Export (C, u00102, "atreeB");
   u00103 : constant Version_32 := 16#b5d9aed5#;
   pragma Export (C, u00103, "atreeS");
   u00104 : constant Version_32 := 16#79911d95#;
   pragma Export (C, u00104, "aspectsB");
   u00105 : constant Version_32 := 16#afc80d4a#;
   pragma Export (C, u00105, "aspectsS");
   u00106 : constant Version_32 := 16#c659254e#;
   pragma Export (C, u00106, "einfoB");
   u00107 : constant Version_32 := 16#29112686#;
   pragma Export (C, u00107, "einfoS");
   u00108 : constant Version_32 := 16#d429d9f6#;
   pragma Export (C, u00108, "nlistsB");
   u00109 : constant Version_32 := 16#48341cb2#;
   pragma Export (C, u00109, "nlistsS");
   u00110 : constant Version_32 := 16#c59fac75#;
   pragma Export (C, u00110, "sinfoB");
   u00111 : constant Version_32 := 16#db6f2109#;
   pragma Export (C, u00111, "sinfoS");
   u00112 : constant Version_32 := 16#92766ded#;
   pragma Export (C, u00112, "uintpB");
   u00113 : constant Version_32 := 16#d5931a3e#;
   pragma Export (C, u00113, "uintpS");
   u00114 : constant Version_32 := 16#9b89bb8d#;
   pragma Export (C, u00114, "urealpB");
   u00115 : constant Version_32 := 16#09cb2c33#;
   pragma Export (C, u00115, "urealpS");
   u00116 : constant Version_32 := 16#4cfbbc11#;
   pragma Export (C, u00116, "standB");
   u00117 : constant Version_32 := 16#db1f428e#;
   pragma Export (C, u00117, "standS");
   u00118 : constant Version_32 := 16#f56f0ba3#;
   pragma Export (C, u00118, "snamesB");
   u00119 : constant Version_32 := 16#49fe59e2#;
   pragma Export (C, u00119, "snamesS");
   u00120 : constant Version_32 := 16#88b5ae38#;
   pragma Export (C, u00120, "sinputB");
   u00121 : constant Version_32 := 16#51db9b05#;
   pragma Export (C, u00121, "sinputS");
   u00122 : constant Version_32 := 16#d3c42561#;
   pragma Export (C, u00122, "gnat__byte_order_markB");
   u00123 : constant Version_32 := 16#5ce3d667#;
   pragma Export (C, u00123, "gnat__byte_order_markS");
   u00124 : constant Version_32 := 16#04c167b3#;
   pragma Export (C, u00124, "scansB");
   u00125 : constant Version_32 := 16#fb0ce893#;
   pragma Export (C, u00125, "scansS");
   u00126 : constant Version_32 := 16#4fc3b3e2#;
   pragma Export (C, u00126, "binderrB");
   u00127 : constant Version_32 := 16#6b90028e#;
   pragma Export (C, u00127, "binderrS");
   u00128 : constant Version_32 := 16#f43641bb#;
   pragma Export (C, u00128, "err_varsS");
   u00129 : constant Version_32 := 16#473652d8#;
   pragma Export (C, u00129, "restrictB");
   u00130 : constant Version_32 := 16#eb57dfc1#;
   pragma Export (C, u00130, "restrictS");
   u00131 : constant Version_32 := 16#6cef7125#;
   pragma Export (C, u00131, "erroutB");
   u00132 : constant Version_32 := 16#ee9ea496#;
   pragma Export (C, u00132, "erroutS");
   u00133 : constant Version_32 := 16#917d2c94#;
   pragma Export (C, u00133, "erroutcB");
   u00134 : constant Version_32 := 16#c754c49e#;
   pragma Export (C, u00134, "erroutcS");
   u00135 : constant Version_32 := 16#b2f61b0c#;
   pragma Export (C, u00135, "libB");
   u00136 : constant Version_32 := 16#c9b0d7ac#;
   pragma Export (C, u00136, "libS");
   u00137 : constant Version_32 := 16#a3092d03#;
   pragma Export (C, u00137, "stringtB");
   u00138 : constant Version_32 := 16#af8be99e#;
   pragma Export (C, u00138, "stringtS");
   u00139 : constant Version_32 := 16#2b942ddd#;
   pragma Export (C, u00139, "unameB");
   u00140 : constant Version_32 := 16#5c13c2b7#;
   pragma Export (C, u00140, "unameS");
   u00141 : constant Version_32 := 16#a7a0a01d#;
   pragma Export (C, u00141, "sem_auxB");
   u00142 : constant Version_32 := 16#f89bd242#;
   pragma Export (C, u00142, "sem_auxS");
   u00143 : constant Version_32 := 16#d10699e2#;
   pragma Export (C, u00143, "styleswB");
   u00144 : constant Version_32 := 16#f6121ec8#;
   pragma Export (C, u00144, "styleswS");
   u00145 : constant Version_32 := 16#f29fa1c7#;
   pragma Export (C, u00145, "fname__ufB");
   u00146 : constant Version_32 := 16#ef4b9d06#;
   pragma Export (C, u00146, "fname__ufS");
   u00147 : constant Version_32 := 16#0fa44992#;
   pragma Export (C, u00147, "krunchB");
   u00148 : constant Version_32 := 16#dfdfb05c#;
   pragma Export (C, u00148, "krunchS");
   u00149 : constant Version_32 := 16#eb23c4c0#;
   pragma Export (C, u00149, "scngB");
   u00150 : constant Version_32 := 16#0bf5fc89#;
   pragma Export (C, u00150, "scngS");
   u00151 : constant Version_32 := 16#6f4ddd24#;
   pragma Export (C, u00151, "system__crc32B");
   u00152 : constant Version_32 := 16#f509b4ad#;
   pragma Export (C, u00152, "system__crc32S");
   u00153 : constant Version_32 := 16#1d46c85d#;
   pragma Export (C, u00153, "system__utf_32B");
   u00154 : constant Version_32 := 16#f645047f#;
   pragma Export (C, u00154, "system__utf_32S");
   u00155 : constant Version_32 := 16#d1b73b33#;
   pragma Export (C, u00155, "stylegB");
   u00156 : constant Version_32 := 16#2c90931b#;
   pragma Export (C, u00156, "stylegS");
   u00157 : constant Version_32 := 16#c1d2d368#;
   pragma Export (C, u00157, "sinput__cB");
   u00158 : constant Version_32 := 16#81dd62e1#;
   pragma Export (C, u00158, "sinput__cS");
   u00159 : constant Version_32 := 16#29348bd3#;
   pragma Export (C, u00159, "bcheckB");
   u00160 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00160, "bcheckS");
   u00161 : constant Version_32 := 16#cb985d34#;
   pragma Export (C, u00161, "bindeB");
   u00162 : constant Version_32 := 16#744f934f#;
   pragma Export (C, u00162, "bindeS");
   u00163 : constant Version_32 := 16#171a67e2#;
   pragma Export (C, u00163, "bindgenB");
   u00164 : constant Version_32 := 16#daf1305c#;
   pragma Export (C, u00164, "bindgenS");
   u00165 : constant Version_32 := 16#e256419f#;
   pragma Export (C, u00165, "gnat__heap_sort_aB");
   u00166 : constant Version_32 := 16#80b467cb#;
   pragma Export (C, u00166, "gnat__heap_sort_aS");
   u00167 : constant Version_32 := 16#2ea5703a#;
   pragma Export (C, u00167, "osint__bB");
   u00168 : constant Version_32 := 16#5f323950#;
   pragma Export (C, u00168, "osint__bS");
   u00169 : constant Version_32 := 16#7cbb4250#;
   pragma Export (C, u00169, "bindusgB");
   u00170 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00170, "bindusgS");
   u00171 : constant Version_32 := 16#2a5074c1#;
   pragma Export (C, u00171, "switchB");
   u00172 : constant Version_32 := 16#3dc42182#;
   pragma Export (C, u00172, "switchS");
   u00173 : constant Version_32 := 16#d17c52a1#;
   pragma Export (C, u00173, "switch__bB");
   u00174 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00174, "switch__bS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.command_line.response_file%s
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  system.soft_links%b
   --  ada.exceptions%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  ada.command_line.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  bcheck%s
   --  bindgen%s
   --  bindusg%s
   --  casing%s
   --  gnatbind%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  krunch%s
   --  krunch%b
   --  nlists%s
   --  opt%s
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  sdefault%s
   --  stand%s
   --  stringt%s
   --  styleg%s
   --  scng%s
   --  stylesw%s
   --  stylesw%b
   --  switch%s
   --  switch.b%s
   --  tree_io%s
   --  tree_io%b
   --  stand%b
   --  opt%b
   --  table%s
   --  table%b
   --  erroutc%s
   --  namet%s
   --  stringt%b
   --  ali%s
   --  ali.util%s
   --  binde%s
   --  binderr%s
   --  butil%s
   --  binderr%b
   --  fmap%s
   --  fname%s
   --  fname%b
   --  fname.uf%s
   --  lib%s
   --  osint%s
   --  fmap%b
   --  ali%b
   --  switch.b%b
   --  switch%b
   --  sdefault%b
   --  bindusg%b
   --  bcheck%b
   --  osint.b%s
   --  sem_aux%s
   --  sinput%s
   --  sinput.c%s
   --  sinput.c%b
   --  snames%s
   --  snames%b
   --  aspects%s
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  butil%b
   --  binde%b
   --  gnatbind%b
   --  bindgen%b
   --  uintp%s
   --  uintp%b
   --  err_vars%s
   --  errout%s
   --  restrict%s
   --  uname%s
   --  urealp%s
   --  urealp%b
   --  einfo%s
   --  scans%s
   --  scans%b
   --  sinfo%s
   --  atree%s
   --  atree%b
   --  sinfo%b
   --  einfo%b
   --  uname%b
   --  restrict%b
   --  errout%b
   --  aspects%b
   --  sem_aux%b
   --  erroutc%b
   --  styleg%b
   --  nlists%b
   --  widechar%s
   --  widechar%b
   --  sinput%b
   --  lib%b
   --  fname.uf%b
   --  namet%b
   --  osint.b%b
   --  scng%b
   --  casing%b
   --  ali.util%b
   --  END ELABORATION ORDER


end ada_main;
