pragma Ada_95;
with System;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.8.5" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatlink" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#dc818df1#;
   pragma Export (C, u00001, "gnatlinkB");
   u00002 : constant Version_32 := 16#e72e593c#;
   pragma Export (C, u00002, "gnatlinkS");
   u00003 : constant Version_32 := 16#3935bd10#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#9e44d182#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#576661f1#;
   pragma Export (C, u00006, "ada__command_lineB");
   u00007 : constant Version_32 := 16#df5044bd#;
   pragma Export (C, u00007, "ada__command_lineS");
   u00008 : constant Version_32 := 16#90249111#;
   pragma Export (C, u00008, "systemS");
   u00009 : constant Version_32 := 16#17775d6d#;
   pragma Export (C, u00009, "system__secondary_stackB");
   u00010 : constant Version_32 := 16#844ab6bf#;
   pragma Export (C, u00010, "system__secondary_stackS");
   u00011 : constant Version_32 := 16#27940d94#;
   pragma Export (C, u00011, "system__parametersB");
   u00012 : constant Version_32 := 16#26c69dd1#;
   pragma Export (C, u00012, "system__parametersS");
   u00013 : constant Version_32 := 16#0071025c#;
   pragma Export (C, u00013, "system__soft_linksB");
   u00014 : constant Version_32 := 16#fd7febcc#;
   pragma Export (C, u00014, "system__soft_linksS");
   u00015 : constant Version_32 := 16#2ed324af#;
   pragma Export (C, u00015, "ada__exceptionsB");
   u00016 : constant Version_32 := 16#ac6c9c48#;
   pragma Export (C, u00016, "ada__exceptionsS");
   u00017 : constant Version_32 := 16#16173147#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerB");
   u00018 : constant Version_32 := 16#1f42fb5e#;
   pragma Export (C, u00018, "ada__exceptions__last_chance_handlerS");
   u00019 : constant Version_32 := 16#7b9f0bae#;
   pragma Export (C, u00019, "system__exception_tableB");
   u00020 : constant Version_32 := 16#014a4db4#;
   pragma Export (C, u00020, "system__exception_tableS");
   u00021 : constant Version_32 := 16#5665ab64#;
   pragma Export (C, u00021, "system__htableB");
   u00022 : constant Version_32 := 16#138cdf1f#;
   pragma Export (C, u00022, "system__htableS");
   u00023 : constant Version_32 := 16#8b7dad61#;
   pragma Export (C, u00023, "system__string_hashB");
   u00024 : constant Version_32 := 16#b6b84985#;
   pragma Export (C, u00024, "system__string_hashS");
   u00025 : constant Version_32 := 16#aad75561#;
   pragma Export (C, u00025, "system__exceptionsB");
   u00026 : constant Version_32 := 16#9cda59a6#;
   pragma Export (C, u00026, "system__exceptionsS");
   u00027 : constant Version_32 := 16#010db1dc#;
   pragma Export (C, u00027, "system__exceptions_debugB");
   u00028 : constant Version_32 := 16#a854b4c5#;
   pragma Export (C, u00028, "system__exceptions_debugS");
   u00029 : constant Version_32 := 16#b012ff50#;
   pragma Export (C, u00029, "system__img_intB");
   u00030 : constant Version_32 := 16#92ff71d3#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#ace32e1e#;
   pragma Export (C, u00031, "system__storage_elementsB");
   u00032 : constant Version_32 := 16#6ae9ec89#;
   pragma Export (C, u00032, "system__storage_elementsS");
   u00033 : constant Version_32 := 16#dc8e33ed#;
   pragma Export (C, u00033, "system__tracebackB");
   u00034 : constant Version_32 := 16#f1a34564#;
   pragma Export (C, u00034, "system__tracebackS");
   u00035 : constant Version_32 := 16#907d882f#;
   pragma Export (C, u00035, "system__wch_conB");
   u00036 : constant Version_32 := 16#2fcfbf2c#;
   pragma Export (C, u00036, "system__wch_conS");
   u00037 : constant Version_32 := 16#22fed88a#;
   pragma Export (C, u00037, "system__wch_stwB");
   u00038 : constant Version_32 := 16#02de932d#;
   pragma Export (C, u00038, "system__wch_stwS");
   u00039 : constant Version_32 := 16#b8a9e30d#;
   pragma Export (C, u00039, "system__wch_cnvB");
   u00040 : constant Version_32 := 16#313139fa#;
   pragma Export (C, u00040, "system__wch_cnvS");
   u00041 : constant Version_32 := 16#129923ea#;
   pragma Export (C, u00041, "interfacesS");
   u00042 : constant Version_32 := 16#75729fba#;
   pragma Export (C, u00042, "system__wch_jisB");
   u00043 : constant Version_32 := 16#6543a2ee#;
   pragma Export (C, u00043, "system__wch_jisS");
   u00044 : constant Version_32 := 16#ada34a87#;
   pragma Export (C, u00044, "system__traceback_entriesB");
   u00045 : constant Version_32 := 16#c2057f50#;
   pragma Export (C, u00045, "system__traceback_entriesS");
   u00046 : constant Version_32 := 16#4f750b3b#;
   pragma Export (C, u00046, "system__stack_checkingB");
   u00047 : constant Version_32 := 16#33862d3d#;
   pragma Export (C, u00047, "system__stack_checkingS");
   u00048 : constant Version_32 := 16#943e47ba#;
   pragma Export (C, u00048, "aliB");
   u00049 : constant Version_32 := 16#87dbbf3e#;
   pragma Export (C, u00049, "aliS");
   u00050 : constant Version_32 := 16#bc9e551a#;
   pragma Export (C, u00050, "butilB");
   u00051 : constant Version_32 := 16#0e67e1ce#;
   pragma Export (C, u00051, "butilS");
   u00052 : constant Version_32 := 16#f642d2fd#;
   pragma Export (C, u00052, "outputB");
   u00053 : constant Version_32 := 16#73423236#;
   pragma Export (C, u00053, "outputS");
   u00054 : constant Version_32 := 16#2d08d4ae#;
   pragma Export (C, u00054, "system__assertionsB");
   u00055 : constant Version_32 := 16#338077ba#;
   pragma Export (C, u00055, "system__assertionsS");
   u00056 : constant Version_32 := 16#625b3b3d#;
   pragma Export (C, u00056, "hostparmS");
   u00057 : constant Version_32 := 16#dd51ae8f#;
   pragma Export (C, u00057, "typesB");
   u00058 : constant Version_32 := 16#d871cff0#;
   pragma Export (C, u00058, "typesS");
   u00059 : constant Version_32 := 16#c4857ee1#;
   pragma Export (C, u00059, "system__compare_array_unsigned_8B");
   u00060 : constant Version_32 := 16#4a1f67dc#;
   pragma Export (C, u00060, "system__compare_array_unsigned_8S");
   u00061 : constant Version_32 := 16#9d3d925a#;
   pragma Export (C, u00061, "system__address_operationsB");
   u00062 : constant Version_32 := 16#505a7886#;
   pragma Export (C, u00062, "system__address_operationsS");
   u00063 : constant Version_32 := 16#fac5cd67#;
   pragma Export (C, u00063, "system__unsigned_typesS");
   u00064 : constant Version_32 := 16#f869fb01#;
   pragma Export (C, u00064, "system__os_libB");
   u00065 : constant Version_32 := 16#89dce9aa#;
   pragma Export (C, u00065, "system__os_libS");
   u00066 : constant Version_32 := 16#b7fa72e7#;
   pragma Export (C, u00066, "system__case_utilB");
   u00067 : constant Version_32 := 16#3d38f199#;
   pragma Export (C, u00067, "system__case_utilS");
   u00068 : constant Version_32 := 16#3862161f#;
   pragma Export (C, u00068, "system__crtlS");
   u00069 : constant Version_32 := 16#4cd8aca0#;
   pragma Export (C, u00069, "system__stringsB");
   u00070 : constant Version_32 := 16#27cedbd5#;
   pragma Export (C, u00070, "system__stringsS");
   u00071 : constant Version_32 := 16#0ee251e8#;
   pragma Export (C, u00071, "targparmB");
   u00072 : constant Version_32 := 16#151ee6b6#;
   pragma Export (C, u00072, "targparmS");
   u00073 : constant Version_32 := 16#5b983ac2#;
   pragma Export (C, u00073, "csetsB");
   u00074 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00074, "csetsS");
   u00075 : constant Version_32 := 16#a3331bd5#;
   pragma Export (C, u00075, "optB");
   u00076 : constant Version_32 := 16#033484b5#;
   pragma Export (C, u00076, "optS");
   u00077 : constant Version_32 := 16#d71be89e#;
   pragma Export (C, u00077, "gnatvsnB");
   u00078 : constant Version_32 := 16#249b6539#;
   pragma Export (C, u00078, "gnatvsnS");
   u00079 : constant Version_32 := 16#b773da47#;
   pragma Export (C, u00079, "tree_ioB");
   u00080 : constant Version_32 := 16#cc44e70a#;
   pragma Export (C, u00080, "tree_ioS");
   u00081 : constant Version_32 := 16#f7c84cf8#;
   pragma Export (C, u00081, "debugB");
   u00082 : constant Version_32 := 16#3ea59655#;
   pragma Export (C, u00082, "debugS");
   u00083 : constant Version_32 := 16#ba22ce7e#;
   pragma Export (C, u00083, "osintB");
   u00084 : constant Version_32 := 16#1a9a8e54#;
   pragma Export (C, u00084, "osintS");
   u00085 : constant Version_32 := 16#daf1344a#;
   pragma Export (C, u00085, "allocS");
   u00086 : constant Version_32 := 16#88266b84#;
   pragma Export (C, u00086, "fmapB");
   u00087 : constant Version_32 := 16#c0bda71e#;
   pragma Export (C, u00087, "fmapS");
   u00088 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00088, "gnatS");
   u00089 : constant Version_32 := 16#a0ae1a73#;
   pragma Export (C, u00089, "gnat__htableB");
   u00090 : constant Version_32 := 16#430435e5#;
   pragma Export (C, u00090, "gnat__htableS");
   u00091 : constant Version_32 := 16#e95b4bf5#;
   pragma Export (C, u00091, "tableB");
   u00092 : constant Version_32 := 16#40963a4b#;
   pragma Export (C, u00092, "tableS");
   u00093 : constant Version_32 := 16#3d0b17cc#;
   pragma Export (C, u00093, "system__memoryB");
   u00094 : constant Version_32 := 16#5aaf2d04#;
   pragma Export (C, u00094, "system__memoryS");
   u00095 : constant Version_32 := 16#411b14a1#;
   pragma Export (C, u00095, "nametB");
   u00096 : constant Version_32 := 16#247fc926#;
   pragma Export (C, u00096, "nametS");
   u00097 : constant Version_32 := 16#8805120e#;
   pragma Export (C, u00097, "widecharB");
   u00098 : constant Version_32 := 16#9ce9e066#;
   pragma Export (C, u00098, "widecharS");
   u00099 : constant Version_32 := 16#2fd3f6f9#;
   pragma Export (C, u00099, "sdefaultB");
   u00100 : constant Version_32 := 16#db5c1966#;
   pragma Export (C, u00100, "sdefaultS");
   u00101 : constant Version_32 := 16#1eab0e09#;
   pragma Export (C, u00101, "system__img_enum_newB");
   u00102 : constant Version_32 := 16#17235ae1#;
   pragma Export (C, u00102, "system__img_enum_newS");
   u00103 : constant Version_32 := 16#81a1ad6e#;
   pragma Export (C, u00103, "ridentS");
   u00104 : constant Version_32 := 16#b9f26d00#;
   pragma Export (C, u00104, "fnameB");
   u00105 : constant Version_32 := 16#7e6769ea#;
   pragma Export (C, u00105, "fnameS");
   u00106 : constant Version_32 := 16#61b9a0a4#;
   pragma Export (C, u00106, "casingB");
   u00107 : constant Version_32 := 16#ff15a73c#;
   pragma Export (C, u00107, "casingS");
   u00108 : constant Version_32 := 16#0a85a591#;
   pragma Export (C, u00108, "indepswB");
   u00109 : constant Version_32 := 16#7b252b43#;
   pragma Export (C, u00109, "indepswS");
   u00110 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00110, "interfaces__cB");
   u00111 : constant Version_32 := 16#f05a3eb1#;
   pragma Export (C, u00111, "interfaces__cS");
   u00112 : constant Version_32 := 16#9f990c8b#;
   pragma Export (C, u00112, "interfaces__c__stringsB");
   u00113 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00113, "interfaces__c__stringsS");
   u00114 : constant Version_32 := 16#53190229#;
   pragma Export (C, u00114, "interfaces__c_streamsB");
   u00115 : constant Version_32 := 16#3ebb5e8e#;
   pragma Export (C, u00115, "interfaces__c_streamsS");
   u00116 : constant Version_32 := 16#f56f0ba3#;
   pragma Export (C, u00116, "snamesB");
   u00117 : constant Version_32 := 16#49fe59e2#;
   pragma Export (C, u00117, "snamesS");
   u00118 : constant Version_32 := 16#2a5074c1#;
   pragma Export (C, u00118, "switchB");
   u00119 : constant Version_32 := 16#3dc42182#;
   pragma Export (C, u00119, "switchS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  interfaces.c%s
   --  interfaces.c.strings%s
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.secondary_stack%s
   --  interfaces.c.strings%b
   --  interfaces.c%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  casing%s
   --  gnatlink%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  indepsw%s
   --  indepsw%b
   --  opt%s
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  sdefault%s
   --  switch%s
   --  tree_io%s
   --  tree_io%b
   --  opt%b
   --  table%s
   --  table%b
   --  namet%s
   --  ali%s
   --  butil%s
   --  fmap%s
   --  fname%s
   --  fname%b
   --  osint%s
   --  fmap%b
   --  ali%b
   --  switch%b
   --  sdefault%b
   --  snames%s
   --  snames%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  butil%b
   --  gnatlink%b
   --  widechar%s
   --  widechar%b
   --  namet%b
   --  casing%b
   --  END ELABORATION ORDER


end ada_main;
